#!/bin/sh

cat kernel-list.txt | while read kerneltype arch
do
    mkdir -p BUILD.$kerneltype
    BUILDDIR=`pwd`/BUILD.$kerneltype
    HERE=`pwd`
    (cd ../.. && make MODBUILDDIR=${BUILDDIR} KERNELSRC=/mara4/freeswan/kernpatch/UMLPOOL/plain ARCH=${arch} MODULE_DEF_INCLUDE=${HERE}/config-$kerneltype.h module )
done

    